org.apache.cassandra.locator

## Interface EndpointSnitchInfoMBean

All Known Implementing Classes:
  EndpointSnitchInfo

    public interface EndpointSnitchInfoMBean

MBean exposing standard Snitch info

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getDatacenter()` Provides the Datacenter name depending on the respective snitch used for this node
`java.lang.String` `getDatacenter(java.lang.String host)` Provides the Datacenter name depending on the respective snitch used, given the hostname/ip
`java.lang.String` `getRack()` Provides the Rack name depending on the respective snitch used for this node
`java.lang.String` `getRack(java.lang.String host)` Provides the Rack name depending on the respective snitch used, given the host name/ip
`java.lang.String` `getSnitchName()` Provides the snitch name of the cluster

### Method Detail

#### getRack

    java.lang.String getRack(java.lang.String host)
                      throws java.net.UnknownHostException

Provides the Rack name depending on the respective snitch used, given the host name/ip

Parameters:
  `host` -
Throws:
  `java.net.UnknownHostException`

#### getDatacenter

    java.lang.String getDatacenter(java.lang.String host)
                            throws java.net.UnknownHostException

Provides the Datacenter name depending on the respective snitch used, given the hostname/ip

Parameters:
  `host` -
Throws:
  `java.net.UnknownHostException`

#### getRack

    java.lang.String getRack()

Provides the Rack name depending on the respective snitch used for this node

#### getDatacenter

    java.lang.String getDatacenter()

Provides the Datacenter name depending on the respective snitch used for this node

#### getSnitchName

    java.lang.String getSnitchName()

Provides the snitch name of the cluster

Returns:
  Snitch name